Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class SessionSearchEnumerator

    java.lang.Object
      |
      +--com.novell.service.session.SessionEnumerator
            |
            +--com.novell.service.session.SessionSearchEnumerator

public class SessionSearchEnumerator
extends SessionEnumerator
implements java.io.Serializable

Provides an implementation of SessionEnumerator that contains only sessions that match a given search criteria.

Constructor Summary
`SessionSearchEnumerator(SessionAttrs matchingSessionAttrSet, java.util.Enumeration sessionEnum)` Constructs a SessionSearchEnumerator object with the matchingSessionAttrSet and sessionEnum parameters.
`SessionSearchEnumerator(SessionAttrs matchingSessionAttrSet, java.util.Enumeration sessionEnum, boolean match)` Constructs a SessionSearchEnumerator object with the matchingSessionAttrSet, sessionEnum and match parameters.

Methods inherited from class com.novell.service.session.SessionEnumerator
``

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionSearchEnumerator

    public SessionSearchEnumerator(SessionAttrs matchingSessionAttrSet,
                                   java.util.Enumeration sessionEnum)
                            throws SessionException

  Constructs a SessionSearchEnumerator object with the matchingSessionAttrSet and sessionEnum parameters.
  Parameters:
    `matchingSessionAttrSet` - The matching attribute set passed in to the constructor.
    `sessionEnum` - The passed in session enumeration.
  Throws:
    SessionException - Top-level exception extended by all Session exceptions and thrown by Session objects.

### SessionSearchEnumerator

    public SessionSearchEnumerator(SessionAttrs matchingSessionAttrSet,
                                   java.util.Enumeration sessionEnum,
                                   boolean match)
                            throws SessionException

  Constructs a SessionSearchEnumerator object with the matchingSessionAttrSet, sessionEnum and match parameters.
  Parameters:
    `matchingSessionAttrSet` - The matching attribute set passed in to the constructor.
    `sessionEnum` - The passed in session enumeration.
    `match` - A boolean set to TRUE if the session enumerators are matching, otherwise set to FALSE.
  Throws:
    SessionException - Top-level exception extended by all Session exceptions and thrown by Session objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD